Skip to navigation

Detail

Get details of a channel.

Authentication

Authorizationstring

Either ‘Bearer <token>’ or ‘Token <token>’

Path parameters

idstringRequiredformat: "uuid"

Response

Successful Response
idstringformat: "uuid"
The ID of the channel.
typeenum
The type of communication used for the channel.
Allowed values:
channel_typeenum
The type of channel.
Allowed values:
namestring
The name of the channel.
participantslist of objects
Participants in the channel.
created_atdatetime
When the channel was created.
modifieddatetime
When the channel was last modified.
meta_datamap from strings to any or nullOptional
sourceenum or nullOptional
Which application created the channel.
Allowed values:
agent_invocation_behaviorenum or nullOptional
Defines the response behavior of agents in channels.
Allowed values:
parent_channel_idstring or nullOptionalformat: "uuid"
The ID of the parent channel, if this is a thread.
origin_message_idstring or nullOptionalformat: "uuid"

The event/message ID that originated this thread.

Errors

422
Unprocessable Entity Error